<template>
  <div class="top-playing">
    <atoms-mini-header to-bottom />
    <div class="main--table mt-4">
      <b-table
        :items="items"
        :fields="fields"
      >
        <template #cell(sura_name)="data">
          <div class="d-flex align-items-center">
            <b-img
              src="images/icons/ic-play.png"
              width="18"
              class="mr-3 text-success"
            />
            <span>
              {{ data.item.sura_name.first }}
            </span>&nbsp;
            <span class="small text-secondary">
              ({{ data.item.sura_name.last }})
            </span>
          </div>
        </template>
        <template #cell(qori_murottal)="row">
          <span class="small">
            {{ row.item.qori_murottal }}
          </span>
        </template>
        <template #cell(riwayat)="row">
          <span class="small">
            {{ row.item.qori_murottal }}
          </span>
        </template>
        <template #cell(duration)="row">
          <div class="d-flex justify-content-between align-items-center">
            <span class="small">
              {{ row.item.duration }}
            </span>
            <b-icon-music-note-list />
            <b-icon-star />
            <b-icon-three-dots :id="`popover-${row.item.id}`" />
            <b-popover
              :target="`popover-${row.item.id}`"
              triggers="hover"
            >
              <div
                v-for="(item, index) in shareTo"
                id="`popover-target-3`"
                :key="index"
                class="m-0 p-0 py-1"
              >
                <span class="mx-2">
                  <b-img
                    :src="`images/icons/sosmed/${item.images}`"
                    width="20"
                    class="mr-2"
                  />
                  {{ item.title }}
                </span><br>
                <hr v-if="item.hr" class="m-0 mt-2 mb-1">
              </div>
            </b-popover>
          </div>
        </template>
      </b-table>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  props: {
    type: {
      type: String,
      default: ''
    }
  },
  computed: {
    ...mapGetters(['shareTo', 'items', 'fields'])
  }
}
</script>
